FreeBSD Administration - Feature #771

Remove Trailing "M Line Feed Character From Files
03/05/2016 10:56 AM - Daniel Curtis

Status: Closed Start date: 03/06/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Command-Line Help Estimated time: 0.10 hour
Target version: FreeBSD 9 Spent time: 0.50 hour
Description

Once in a while | will download a config file that contains *M characters at the end of each line. This can easily be fixed using vi.

e Open the text file:

vi ~/somefile.txt

e Then use the following command to delete all matches of "M; make sure to use CTRL+V and CTRL+M to create the "M
character, or else nothing will happen:

:%$s/ "M/ /

History

#1 - 03/05/2016 10:56 AM - Daniel Curtis

- Status changed from New to Resolved

- Start date changed from 03/05/2016 to 03/06/2016
- % Done changed from 0 to 100

#2 - 03/05/2016 11:00 AM - Daniel Curtis

- Description updated

#3 - 03/12/2016 02:18 PM - Daniel Curtis

- Status changed from Resolved to Closed
